const sqlite3 = require("sqlite3").verbose();
const path = require("path");

const dbPath = path.resolve(__dirname, "../../formies.sqlite");

const db = new sqlite3.Database(dbPath, (err) => {
	if (err) {
		console.error("Error opening database", err.message);
	} else {
		console.log("Connected to the SQLite database.");
		// Enable foreign key support
		db.run("PRAGMA foreign_keys = ON;", (pragmaErr) => {
			if (pragmaErr) {
				console.error("Failed to enable foreign keys:", pragmaErr.message);
			}
		});
	}
});

module.exports = db;
